Package org.lwjgl.opengl

# Class ARBGpuShader5

java.lang.Object
org.lwjgl.opengl.ARBGpuShader5

public final class ARBGpuShader5 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_FRAGMENT_INTERPOLATION_OFFSET_BITS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_GEOMETRY_SHADER_INVOCATIONS`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_MAX_FRAGMENT_INTERPOLATION_OFFSET`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_GEOMETRY_SHADER_INVOCATIONS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_VERTEX_STREAMS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MIN_FRAGMENT_INTERPOLATION_OFFSET`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_GEOMETRY_SHADER_INVOCATIONS

public static final int GL_GEOMETRY_SHADER_INVOCATIONS
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_MAX_GEOMETRY_SHADER_INVOCATIONS

public static final int GL_MAX_GEOMETRY_SHADER_INVOCATIONS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MIN_FRAGMENT_INTERPOLATION_OFFSET

public static final int GL_MIN_FRAGMENT_INTERPOLATION_OFFSET
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_FRAGMENT_INTERPOLATION_OFFSET

public static final int GL_MAX_FRAGMENT_INTERPOLATION_OFFSET
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_FRAGMENT_INTERPOLATION_OFFSET_BITS

public static final int GL_FRAGMENT_INTERPOLATION_OFFSET_BITS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_STREAMS

public static final int GL_MAX_VERTEX_STREAMS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values